%define name hxd-server
%define version 0.0.104
%define release 2mdk
%define prefix /usr 

Name: %{name}
Summary: hxd-server is Hotline server for *nix
Version: %{version}
Release: %{release}
Source: hxd-%{version}.tar.bz2
Group: Applications/Communications
URL: http://hx.fortyoz.org/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: %{prefix}

%description
hxd-server is a server for the Hotline protocol and
can run on *nix systems. It is compatible with Mac and
Win* clients

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n hxd-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$RPM_BUILD_ROOT/%{prefix} --enable-hotline-server
make -j 2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
mkdir -p $RPM_BUILD_ROOT/etc
install -m 755 hxd $RPM_BUILD_ROOT%{prefix}/sbin
install -m 755 hxd.conf $RPM_BUILD_ROOT/etc


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc CHANGES PROBLEMS README
%{prefix}/sbin/hxd
/etc/hxd.conf

%changelog
* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Dara Hazeghi <dhazeghi@mandrakesoft.com>
